package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;

public class inventoryGoodsThirdpartyExtend implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private Integer goodsId;
    
    private String typeCode;
    
    private String goodsCode;
    
    private String codeExtend1;
    
    private String codeExtend2;
    
    private String codeExtend3;
    
    private String thirdpartyData;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getGoodsId() {
        return goodsId;
    }
    
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }
    
    public String getTypeCode() {
        return typeCode;
    }
    
    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode == null ? null : typeCode.trim();
    }
    
    public String getGoodsCode() {
        return goodsCode;
    }
    
    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode == null ? null : goodsCode.trim();
    }
    
    public String getCodeExtend1() {
        return codeExtend1;
    }
    
    public void setCodeExtend1(String codeExtend1) {
        this.codeExtend1 = codeExtend1 == null ? null : codeExtend1.trim();
    }
    
    public String getCodeExtend2() {
        return codeExtend2;
    }
    
    public void setCodeExtend2(String codeExtend2) {
        this.codeExtend2 = codeExtend2 == null ? null : codeExtend2.trim();
    }
    
    public String getCodeExtend3() {
        return codeExtend3;
    }
    
    public void setCodeExtend3(String codeExtend3) {
        this.codeExtend3 = codeExtend3 == null ? null : codeExtend3.trim();
    }
    
    public String getThirdpartyData() {
        return thirdpartyData;
    }
    
    public void setThirdpartyData(String thirdpartyData) {
        this.thirdpartyData = thirdpartyData == null ? null : thirdpartyData.trim();
    }
}